--[[
Callback events  

OPTIONS_UPDATE 
	args:  nil
		
	Fired when ever the GUI options are changed
		
]]
local PetBattleTeams = LibStub("AceAddon-3.0"):GetAddon("PetBattleTeams")
GUI = PetBattleTeams:NewModule("GUI")



function GUI:OnInitialize()
	self.callbacks = LibStub("CallbackHandler-1.0"):New(self)
	
	local db = LibStub("AceDB-3.0"):New("PetBattleTeamsDB", {} , true)
	local name = self:GetName()
	
	local defaults = {
		global = {
			xpInLevel = false,
			xpAsHealthBar = false,
			teamName = true,
			attached = true,
			locked = false,
			hideInCombat = true,
		}
	}
	self.db = db:RegisterNamespace(name, defaults)
	
	self.mainFrame =  GUI:CreateMainFrame()
	self.mainFrame:SetPoint("TOPLEFT",UIParent)
	self.mainFrame:Show()
	self.mainFrame:SetAttached(self:GetAttached())
end

function GUI:SetAttached(enabled)
	if UnitAffectingCombat("player") then print("PetBattleTeams: Can't change attachment during combat") return end
	self.db.global.attached = enabled
	self.mainFrame:SetAttached(enabled)
end

function GUI:SetHideInCombat(enabled )
	self.db.global.hideInCombat = enabled
end

function GUI:SetLocked(enabled)
	self.db.global.locked = enabled
	self.callbacks:Fire("OPTIONS_UPDATE")
end

function GUI:GetAttached()
	return self.db.global.attached
end

function GUI:GetLocked()
	return self.db.global.locked
end

function GUI:GetHideInCombat()
	return self.db.global.hideInCombat
end







